package cn.com.qmth.examcloud.core.examwork.dao;

import java.util.List;

import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.repository.query.QueryByExampleExecutor;

import cn.com.qmth.examcloud.core.examwork.dao.entity.ExamSpecialSettingsEntity;

public interface ExamSpecialSettingsRepo
		extends
			JpaRepository<ExamSpecialSettingsEntity, Long>,
			QueryByExampleExecutor<ExamSpecialSettingsEntity>,
			JpaSpecificationExecutor<ExamSpecialSettingsEntity> {

	ExamSpecialSettingsEntity findByExamIdAndOrgIdAndCourseIdIsNull(Long examId, Long orgId);

	List<ExamSpecialSettingsEntity> findAllByExamIdAndCourseIdIsNullAndOrgIdIsNotNull(Long examId);

}
